package com.diagbot.service;

import com.diagbot.dto.FileDTO;
import com.diagbot.dto.FileThumDTO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Description: 文件上传服务接口
 * @author: gaodm
 * @time: 2018/11/13 13:50
 */
public interface UploadService {
    //单文件上传
    FileDTO singleFileUpload(MultipartFile file);
    //多文件上传
    List<FileDTO> multiFileUpload(MultipartFile[] mpfs);
    //多文件上传同时生成缩略图
    List<FileThumDTO> multiFileThumUpload(MultipartFile[] mpfs);
}
